Bug 105144 - [PATCH] sysutils/heartbeat: Fix file/dir permissions/ownership and startup script
[PATCH] sysutils/heartbeat: Fix file/dir permissions/ownership and startup sc...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
Depends on:
  Show dependency treegraph
Reported: 2006-11-04 17:51 UTC by uspoerlein
Modified: 2006-11-13 12:40 UTC (History)
1 user (show)

See Also:

heartbeat-1.2.5_1.patch (2.48 KB, patch)
2006-11-04 17:51 UTC, uspoerlein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description uspoerlein 2006-11-04 17:51:03 UTC
The haclient/hacluster user has to be added *before* installing the rest.
D'oh. That way, even more directories under /var/lib/heartbeat are created.
Recreate them in the pkg-install script too, so pkg_add heartbeat has the 
same effect.

Squash a bash-ism in one of the startup-scripts. It'll abort otherwise.

Added file(s):
- files/patch-ldirectord

Port maintainer (scott-ports@tummy.com) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2006-11-04 18:23:29 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 scott-ports 2006-11-08 04:18:27 UTC
I'd like to see the new files/patch-ldirectord named by path,


since there's more than one file in the source tar named ldirectord.

Otherwise, I approve the patch.



Scott Kleihege
Comment 3 Martin Wilke freebsd_committer 2006-11-13 12:32:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 4 dfilter freebsd_committer 2006-11-13 12:33:09 UTC
miwi        2006-11-13 12:33:03 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/heartbeat   Makefile 
    sysutils/heartbeat/files pkg-install.in 
  Added files:
    sysutils/heartbeat/files patch-ldirectord-init.d-ldirectord 
  - Fix permissions/ownership
  PR:             ports/105144
  Submitted by:   Ulrich Spoerlein <uspoerlein@gmail.com>
  Approved by:    maintainer
  Revision  Changes    Path
  1.9       +3 -2      ports/sysutils/heartbeat/Makefile
  1.1       +11 -0     ports/sysutils/heartbeat/files/patch-ldirectord-init.d-ldirectord (new)
  1.4       +9 -1      ports/sysutils/heartbeat/files/pkg-install.in
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2006-11-13 12:33:11 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!